Issue66

classification
Title Possible bug with mouse buttons 8 and 9
Type defect Module core code 21.5
Severity inconvenience Platform N/A
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder Possible bug with mouse buttons 8 and 9 (part2)
View: 153
  Submitted 2007-11-04.02:28:35
Priority normal   Assigned To

Created on 2008-01-19.04:58:03 by stephen, last changed 2008-01-23.10:23:28 by stephen.

Messages
msg79 [hidden] ([hidden]) Date: 2008-01-19.04:58:03
  Message-ID: <874pg2lp64.fsf@uwakimon.sk.tsukuba.ac.jp>
info@datakoti.com writes:

 > There seems to be something really wrong with the thumb buttons,
 > which are buttons 8 and 9 by default. Using this init:

I suspect there's a hard limit on the number of mouse buttons
somewhere.  This may derive from the legacy console code.

Lessee ... bingo! ... in src/keymap.c button symbols are only defined
up to button7.  You could try adding button8 and button9 (and the "up"
and "mouse" versions), and check for any initializations for those
symbols and do similarly for buttons 8 and 9.

Sorry, I don't have time for more on this right now.

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-01-23 10:23:28stephensetstatus: new -> closed
priority: normal
reason: superseded
severity: inconvenience
platform: + N/A
type: defect
superseder: + Possible bug with mouse buttons 8 and 9 (part2)
module: + core code 21.5
2008-01-23 10:20:30stephenlinkissue147 superseder
2008-01-19 04:58:03stephencreate